## org.eclipse.datatools.modelbase.sql.expressions
Interface SearchCondition

All Known Subinterfaces:
  Predicate, PredicateBasic, PredicateBetween, PredicateExists, PredicateIn, PredicateInValueList, PredicateInValueRowSelect, PredicateInValueSelect, PredicateIsNull, PredicateLike, PredicateQuantified, PredicateQuantifiedRowSelect, PredicateQuantifiedValueSelect, QuerySearchCondition, SearchConditionCombined, SearchConditionDefault, SearchConditionNested, XMLPredicate, XMLPredicateContent, XMLPredicateDocument, XMLPredicateExists, XMLPredicateValid

All Known Implementing Classes:
  PredicateBasicImpl, PredicateBetweenImpl, PredicateExistsImpl, PredicateImpl, PredicateInImpl, PredicateInValueListImpl, PredicateInValueRowSelectImpl, PredicateInValueSelectImpl, PredicateIsNullImpl, PredicateLikeImpl, PredicateQuantifiedImpl, PredicateQuantifiedRowSelectImpl, PredicateQuantifiedValueSelectImpl, QuerySearchConditionImpl, SearchConditionCombinedImpl, SearchConditionDefaultImpl, SearchConditionNestedImpl, XMLPredicateContentImpl, XMLPredicateDocumentImpl, XMLPredicateExistsImpl, XMLPredicateImpl, XMLPredicateValidImpl

    public interface SearchCondition

A representation of the model object 'Search Condition'. Reference: 5WD-02-Foundation-2002-12

See Also:
  `SQLExpressionsPackage.getSearchCondition()`

Method Summary
`java.lang.String` `getSQL()`
`void` `setSQL(java.lang.String sqlText)`

Method Detail

### getSQL

    java.lang.String getSQL()

### setSQL

    void setSQL(java.lang.String sqlText)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.